# setBeautyLevel method Null safety

Future<void> setBeautyLevel(

1. int beautyLevel

)

Set the strength of the beauty filter

Parameters:

beautyLevel Strength of the beauty filter. Value range: 0–9; 0 indicates that the filter is disabled, and the greater the value, the more obvious the effect.

## Implementation

    Future<void> setBeautyLevel(int beautyLevel) {
      return _channel
          .invokeMethod('setBeautyLevel', {"beautyLevel": beautyLevel});
    }